Subject: [rbridge] Should we optimize the common case?

From: sgai at nuovasystems.com (Silvano Gai)
Date: Sat, 11 Nov 2006 08:13:08 -0800

This is something we should consider: it also gives the possibility to introduce the LID in the hierarchy.

-- Silvano

> -----Original Message-----
> From: rbridge-bounces at postel.org [mailto:rbridge-bounces at postel.org] On
> Behalf Of Guillermo Ib??ez
> Sent: Friday, November 10, 2006 2:37 PM
> To: Caitlin Bestler
> Cc: rbridge at postel.org; Radia Perlman
> Subject: Re: [rbridge] Should we optimize the common case?
> 
> 
> 
> Caitlin Bestler escribi?:
> > rbridge-bounces at postel.org wrote:
> >
> >> Looking at this proposal, I get the impression that we are
> >> somehow building a hierarchy, which is essential to get
> >> scalability. However a more generic solution would have more
> >> widespread applicability. See the attached slide with a
> >> proposal from J. Morales for  a hierarchical structure usage
> >> of MAC addresses (using the Local half of MAC addresses (U/L
> >> bit set to Local) with  hierarchical structure).
> >> Lack of hierarchical Ethernet (not replacing current
> >> universal MACs) addresses is one of the main current
> >> obstacles for Ethernet scalability at Metro level.
> >> Guillermo
> >>
> >>
> >
> > How would a local hierarchical MAC address be assigned?
> > Particularly, how would one be associated with a permanent
> > global MAC address that an existing end node continued to use?
> > Wouldn't this just replace one set of tables with another?
> >
> >
> >
> Perhaps the less disruptive implementation is to assign a local
> hierarchical port MAC address to each port of a "hierarchically capable"
> RBridge.
> The advantage of replacing many universal flat MAC addresses with
> hierarchical MACs is that aggregation of the routes to hosts is possible
> (prefix announcement instead of host lists announcement between
> RBRidges). And it is quite close to what has just been proposed  if the
> hierarchical MAC addresses include the RBridge nick-names and/or other
> shared "regional" identifier.
> Address assignment may (and should) be of varied types: based on
> topology discovery protocols, on spanning tree, management (OS)
> controlled, etc. It is a matter of the network owner.
> Regarding handling of the two types of MAC addresses,  I see two
> mechanisms possible  in a mixed network, at ingress and egress points:
> - MAC swapping. The hierarchical bridge port replaces the incoming MAC
> by the hierarchically assigned local MAC. This seems mainly convenient
> for "leaf" ports where only one host is connected. Host is not aware
> that the MAC is replaced by a hierarchical address.
>  - MAC encapsulation.The "ingress" "hierarchical" bridge encapsulates
> the frame with the hierarchical MAC addresses in the outer header. When
> the link is shared by several hosts this looks the  most straightforward
> approach. This is more in line with the current encapsulation scheme of
> RBridges.
> Regards
> Guillermo
> 
> _______________________________________________
> rbridge mailing list
> rbridge at postel.org
> http://mailman.postel.org/mailman/listinfo/rbridge